io.swagger.client.api

## Class UsersApi

- java.lang.Object
- - io.swagger.client.api.UsersApi

-     public class UsersApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersApi()`
    `UsersApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `Me` | `meGet()` Returns the current user
    `com.squareup.okhttp.Call` | `meGetAsync(ApiCallback<Me> callback)` (asynchronously) Returns the current user
    `com.squareup.okhttp.Call` | `meGetCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for meGet
    `ApiResponse<Me>` | `meGetWithHttpInfo()` Returns the current user
    `void` | `setApiClient(ApiClient apiClient)`
    `void` | `userDelete(String userID)` Deletes the specified user.
    `com.squareup.okhttp.Call` | `userDeleteAsync(String userID, ApiCallback<Void> callback)` (asynchronously) Deletes the specified user.
    `com.squareup.okhttp.Call` | `userDeleteCall(String userID, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for userDelete
    `ApiResponse<Void>` | `userDeleteWithHttpInfo(String userID)` Deletes the specified user.
    `User` | `userGet(Integer userID)` Gets the user matching a specific user ID.
    `com.squareup.okhttp.Call` | `userGetAsync(Integer userID, ApiCallback<User> callback)` (asynchronously) Gets the user matching a specific user ID.
    `com.squareup.okhttp.Call` | `userGetCall(Integer userID, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for userGet
    `ApiResponse<User>` | `userGetWithHttpInfo(Integer userID)` Gets the user matching a specific user ID.
    `UserList` | `usersGet(Integer top, Integer skip, String externalId, String userChainIdentifier)` Get Users Lists all users within the connected blockchain consortium.
    `com.squareup.okhttp.Call` | `usersGetAsync(Integer top, Integer skip, String externalId, String userChainIdentifier, ApiCallback<UserList> callback)` Get Users (asynchronously) Lists all users within the connected blockchain consortium.
    `com.squareup.okhttp.Call` | `usersGetCall(Integer top, Integer skip, String externalId, String userChainIdentifier, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for usersGet
    `ApiResponse<UserList>` | `usersGetWithHttpInfo(Integer top, Integer skip, String externalId, String userChainIdentifier)` Get Users Lists all users within the connected blockchain consortium.
    `Integer` | `usersPost(UserInput userInput)` Adds a user to the blockchain consortium.
    `com.squareup.okhttp.Call` | `usersPostAsync(UserInput userInput, ApiCallback<Integer> callback)` (asynchronously) Adds a user to the blockchain consortium.
    `com.squareup.okhttp.Call` | `usersPostCall(UserInput userInput, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for usersPost
    `ApiResponse<Integer>` | `usersPostWithHttpInfo(UserInput userInput)` Adds a user to the blockchain consortium.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UsersApi

          public UsersApi()

    - #### UsersApi

          public UsersApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### meGetCall

          public com.squareup.okhttp.Call meGetCall(ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for meGet
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### meGet

          public Me meGet()
                   throws ApiException

      Returns the current user
      Returns:
        Me
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### meGetWithHttpInfo

          public ApiResponse<Me> meGetWithHttpInfo()
                                            throws ApiException

      Returns the current user
      Returns:
        ApiResponse<Me>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### meGetAsync

          public com.squareup.okhttp.Call meGetAsync(ApiCallback<Me> callback)
                                              throws ApiException

      (asynchronously) Returns the current user
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### userDeleteCall

          public com.squareup.okhttp.Call userDeleteCall(String userID,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for userDelete
      Parameters:
        `userID` - The id of the user (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### userDelete

          public void userDelete(String userID)
                          throws ApiException

      Deletes the specified user. This method can only be performed by users who are Workbench administrators. NOTE: Not currently implemented.
      Parameters:
        `userID` - The id of the user (required)
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### userDeleteWithHttpInfo

          public ApiResponse<Void> userDeleteWithHttpInfo(String userID)
                                                   throws ApiException

      Deletes the specified user. This method can only be performed by users who are Workbench administrators. NOTE: Not currently implemented.
      Parameters:
        `userID` - The id of the user (required)
      Returns:
        ApiResponse<Void>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### userDeleteAsync

          public com.squareup.okhttp.Call userDeleteAsync(String userID,
                                                          ApiCallback<Void> callback)
                                                   throws ApiException

      (asynchronously) Deletes the specified user. This method can only be performed by users who are Workbench administrators. NOTE: Not currently implemented.
      Parameters:
        `userID` - The id of the user (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### userGetCall

          public com.squareup.okhttp.Call userGetCall(Integer userID,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for userGet
      Parameters:
        `userID` - The id of the user (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### userGet

          public User userGet(Integer userID)
                       throws ApiException

      Gets the user matching a specific user ID.
      Parameters:
        `userID` - The id of the user (required)
      Returns:
        User
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### userGetWithHttpInfo

          public ApiResponse<User> userGetWithHttpInfo(Integer userID)
                                                throws ApiException

      Gets the user matching a specific user ID.
      Parameters:
        `userID` - The id of the user (required)
      Returns:
        ApiResponse<User>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### userGetAsync

          public com.squareup.okhttp.Call userGetAsync(Integer userID,
                                                       ApiCallback<User> callback)
                                                throws ApiException

      (asynchronously) Gets the user matching a specific user ID.
      Parameters:
        `userID` - The id of the user (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### usersGetCall

          public com.squareup.okhttp.Call usersGetCall(Integer top,
                                                       Integer skip,
                                                       String externalId,
                                                       String userChainIdentifier,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for usersGet
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `externalId` - The external ID of the user to query for (optional)
        `userChainIdentifier` - The on-chain address of the user to query for (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### usersGet

          public UserList usersGet(Integer top,
                                   Integer skip,
                                   String externalId,
                                   String userChainIdentifier)
                            throws ApiException

      Get Users Lists all users within the connected blockchain consortium.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `externalId` - The external ID of the user to query for (optional)
        `userChainIdentifier` - The on-chain address of the user to query for (optional)
      Returns:
        UserList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### usersGetWithHttpInfo

          public ApiResponse<UserList> usersGetWithHttpInfo(Integer top,
                                                            Integer skip,
                                                            String externalId,
                                                            String userChainIdentifier)
                                                     throws ApiException

      Get Users Lists all users within the connected blockchain consortium.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `externalId` - The external ID of the user to query for (optional)
        `userChainIdentifier` - The on-chain address of the user to query for (optional)
      Returns:
        ApiResponse<UserList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### usersGetAsync

          public com.squareup.okhttp.Call usersGetAsync(Integer top,
                                                        Integer skip,
                                                        String externalId,
                                                        String userChainIdentifier,
                                                        ApiCallback<UserList> callback)
                                                 throws ApiException

      Get Users (asynchronously) Lists all users within the connected blockchain consortium.
      Parameters:
        `top` - The maximum number of items to return (optional)
        `skip` - The number of items to skip before returning (optional)
        `externalId` - The external ID of the user to query for (optional)
        `userChainIdentifier` - The on-chain address of the user to query for (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### usersPostCall

          public com.squareup.okhttp.Call usersPostCall(UserInput userInput,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for usersPost
      Parameters:
        `userInput` - New user to add (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### usersPost

          public Integer usersPost(UserInput userInput)
                            throws ApiException

      Adds a user to the blockchain consortium. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `userInput` - New user to add (optional)
      Returns:
        Integer
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### usersPostWithHttpInfo

          public ApiResponse<Integer> usersPostWithHttpInfo(UserInput userInput)
                                                     throws ApiException

      Adds a user to the blockchain consortium. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `userInput` - New user to add (optional)
      Returns:
        ApiResponse<Integer>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### usersPostAsync

          public com.squareup.okhttp.Call usersPostAsync(UserInput userInput,
                                                         ApiCallback<Integer> callback)
                                                  throws ApiException

      (asynchronously) Adds a user to the blockchain consortium. This method can only be performed by users who are Workbench administrators.
      Parameters:
        `userInput` - New user to add (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2018. All rights reserved.